HDF: ri_info_t Struct Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
ri_info_t Struct Reference

`#include <hdf/src/mfgr_priv.h>`

## Data Fields
int32 | index
uint16 | ri_ref
uint16 | rig_ref
gr_info_t * | gr_ptr
dim_info_t | img_dim
dim_info_t | lut_dim
uint16 | img_tag
uint16 | img_ref
int32 | img_aid
int | acc_perm
uint16 | lut_tag
uint16 | lut_ref
gr_interlace_t | im_il
gr_interlace_t | lut_il
unsigned | data_modified
unsigned | meta_modified
unsigned | attr_modified
char * | name
int32 | lattr_count
TBBT_TREE * | lattree
int | access
unsigned | use_buf_drvr
unsigned | use_cr_drvr
unsigned | comp_img
comp_coder_t | comp_type
comp_info | cinfo
unsigned | ext_img
char * | ext_name
int32 | ext_offset
unsigned | acc_img
unsigned | acc_type
unsigned | fill_img
void * | fill_value
unsigned | store_fill
int | name_generated

## Field Documentation

## ◆ acc_img

unsigned acc_img

## ◆ acc_perm

int acc_perm

## ◆ acc_type

unsigned acc_type

## ◆ access

int access

## ◆ attr_modified

unsigned attr_modified

## ◆ cinfo

comp_info cinfo

## ◆ comp_img

unsigned comp_img

## ◆ comp_type

comp_coder_t comp_type

## ◆ data_modified

unsigned data_modified

## ◆ ext_img

unsigned ext_img

## ◆ ext_name

char* ext_name

## ◆ ext_offset

int32 ext_offset

## ◆ fill_img

unsigned fill_img

## ◆ fill_value

void* fill_value

## ◆ gr_ptr

gr_info_t* gr_ptr

## ◆ im_il

gr_interlace_t im_il

## ◆ img_aid

int32 img_aid

## ◆ img_dim

dim_info_t img_dim

## ◆ img_ref

uint16 img_ref

## ◆ img_tag

uint16 img_tag

## ◆ index

int32 index

## ◆ lattr_count

int32 lattr_count

## ◆ lattree

TBBT_TREE* lattree

## ◆ lut_dim

dim_info_t lut_dim

## ◆ lut_il

gr_interlace_t lut_il

## ◆ lut_ref

uint16 lut_ref

## ◆ lut_tag

uint16 lut_tag

## ◆ meta_modified

unsigned meta_modified

## ◆ name

char* name

## ◆ name_generated

int name_generated

## ◆ ri_ref

uint16 ri_ref

## ◆ rig_ref

uint16 rig_ref

## ◆ store_fill

unsigned store_fill

## ◆ use_buf_drvr

unsigned use_buf_drvr

## ◆ use_cr_drvr

unsigned use_cr_drvr

The documentation for this struct was generated from the following file:

- hdf/src/mfgr_priv.h